Bug 193895 - CVE-2006-2779 multiple firefox DoS issues (CVE-2006-2780)
CVE-2006-2779 multiple firefox DoS issues (CVE-2006-2780)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
4.0
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Christopher Aillon
impact=critical,source=mozilla,report...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-02 15:14 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2006-0610
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-28 19:13:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-06-02 15:14:58 EDT
Text taken from the CVE id:

Mozilla Firefox and Thunderbird before 1.5.0.4 allow remote attackers
to cause a denial of service (crash) and possibly execute arbitrary
code via (1) nested <option> tags in a select tag, (2) a
DOMNodeRemoved mutation event, (3) "Content-implemented tree views,"
(4) BoxObjects, (5) the XBL implementation, (6) an iframe that
attempts to remove itself, which leads to memory corruption.
Comment 1 David Eisenstein 2006-06-14 11:36:54 EDT
------- Additional Comments From mattdm@mattdm.org  2006-06-09 10:31 EST -------
This is a dupe of bug #193906, yeah? (Technically that one was filed an hour
later, but contains more information, unless I'm overlooking something.)

Comment 2 Matthew Miller 2006-06-14 11:49:53 EDT
(Well, except this one is for RHEL4.)
Comment 3 Josh Bressers 2006-07-12 10:55:31 EDT
CVE-2006-2780
Integer overflow in Mozilla Firefox and Thunderbird before 1.5.0.4 allows remote
attackers to cause a denial of service (crash) and possibly execute arbitrary
code via "jsstr tagify," which leads to memory corruption.
Comment 5 Red Hat Bugzilla 2006-07-28 19:13:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0610.html

Note You need to log in before you can comment on or make changes to this bug.